The fwgl package

[Tags:bsd3, deprecated, library]
Deprecated. in favor of ombra

FWGL is a library for interactive 2D and 3D applications and games. It provides a purely functional interface for advanced graphics programming, including a type safe embedded DSL for GPU programming. You are not required to know or use OpenGL directly to work with FWGL, you just need a basic knowledge of what vertex/fragment shaders, uniforms and attributes are (if you are going to make a more advanced use of it). FWGL is aimed at functional reactive programming (with Yampa), but provides a non-reactive interface as well. There are two backends: fwgl-glfw and fwgl-javascript.

Properties

Versions 0.1.0.0, 0.1.0.1, 0.1.0.2, 0.1.0.3, 0.1.1.0, 0.1.2.0, 0.1.2.1, 0.1.2.2, 0.1.3.0, 0.1.3.1, 0.1.4.0
Dependencies base (>=4.7 && <4.9), hashable (==1.2.*), transformers, unordered-containers (==0.2.*), vect, vector (>=0.10 && <0.12), Yampa (==0.9.*) [details]
License BSD3
Author Luca "ziocroc" Prezzavento
Maintainer ziocroc@gmail.com
Category Game, Game Engine, Javascript
Home page https://github.com/ziocroc/FWGL
Uploaded Sun Sep 6 23:52:24 UTC 2015 by ZioCrocifisso
Distributions NixOS:0.1.4.0
Downloads 1401 total (37 in the last 30 days)
Votes
2 []
Status Docs available [build log]
Last success reported on 2015-12-04 [all 1 reports]
Hackage Matrix CI

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees